Get Webhook Endpoint
curl --request GET \
--url https://api.hopnow.io/v1/customers/{customer_id}/webhook-endpoints/{endpoint_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/customers/{customer_id}/webhook-endpoints/{endpoint_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/customers/{customer_id}/webhook-endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"url": "<string>",
"events": [
{}
],
"description": "<string>",
"created": "<string>",
"updated": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"last_used_at": "<string>",
"deleted_at": "<string>"
}Webhooks
Get Webhook Endpoint
Retrieve an active webhook endpoint
GET
/
v1
/
customers
/
{customer_id}
/
webhook-endpoints
/
{endpoint_id}
Get Webhook Endpoint
Deleted endpoints are not returned by this endpoint. Use the list endpoint to inspect their
deleted_at timestamps.
Signing secrets are never included.Path Parameters
string
required
The customer’s external ID (starts with
cus_)string
required
The webhook endpoint’s external ID (starts with
wh_)Response
string
Webhook endpoint identifier (starts with
wh_)string
Always returns
"webhook_endpoint"string
The webhook delivery URL
array
Subscribed event types
string
Webhook description, or
nullstring
ISO 8601 creation timestamp
string
ISO 8601 last-update timestamp
string
Identifier of the actor that created the endpoint, or
nullstring
Identifier of the actor that last updated the endpoint, or
nullstring
Timestamp of the most recent successful delivery, or
nullstring
Deletion timestamp. This is
null for resources returned by this endpoint.Response Example
{
"id": "wh_1234567890abcdefghijklmn",
"object": "webhook_endpoint",
"url": "https://api.mycompany.com/webhooks/hopnow",
"events": ["deposit.received", "withdraw.completed", "account.created"],
"description": "Production webhook for account activity",
"created": "2026-07-15T02:00:00Z",
"updated": "2026-07-15T02:00:00Z",
"created_by": null,
"updated_by": null,
"last_used_at": null,
"deleted_at": null
}